import prog.io.*;
import java.util.*;
import prog.utili.Frazione;
import prog.utili.Sequenza;

class RipetiFrazioniIter{

  public static void main(String[] args) {
     
      //predisposizione dei canali di comunicazione
      ConsoleOutputManager out = new ConsoleOutputManager();
      ConsoleInputManager in = new ConsoleInputManager();

      Sequenza<Frazione> frazioni = new Sequenza<Frazione>();

      do{
	  out.println("Inserisci una frazione: ");
	  int num = in.readInt();
	  int den = in.readInt();
	  Frazione f = new Frazione(num, den);

	  frazioni.add(f);
      } while(in.readSiNo("Vuoi inserire nuove frazioni? (s/n) "));

      Iterator<Frazione> elenco = frazioni.iterator();

      out.println("Sono state inserite le seguenti frazioni:");

      for (Frazione f: frazioni)
      	  out.println(f);

      //oppure

      while (elenco.hasNext())
	     out.println(elenco.next());

	     //oppure

      for (; elenco.hasNext() ;)
	  out.println(elenco.next());

      //nota1: l'elenco si e' svuotato dopo l'esecuzione del primo while
      //nota2: hasNext elimina dall'iteratore ma non dall'oggetto frazioni


  }
}