import prog.io.*;
import prog.utili.Sequenza;

class TestSequenza{

  public static void main(String[] args) {
     
      //predisposizione dei canali di comunicazione
      ConsoleOutputManager out = new ConsoleOutputManager();
      ConsoleInputManager in = new ConsoleInputManager();

      //scelta del tipo di sequenza
      out.println("  d = numeri con virgola ");
      out.println("  i = numeri interi ");
      out.println("  s = stringhe ");
      char scelta = in.readChar("d|i|s? ");

      Sequenza<?> seq = null;

      //lettura sequenza

      switch (scelta) {
      case 'd':
	  Sequenza<Double> sd = new Sequenza<Double>();
	  double d;
	  while ((d = in.readDouble("inserire numero reale ")) != 0)
	      sd.add(d);
	  seq = sd;
	  break;
      case 'i':
	  Sequenza<Integer> si = new Sequenza<Integer>();
	  int i;
	  while ((i = in.readInt("inserire numero intero ")) != 0)
	      si.add(i);
	  seq = si;
	  break;
      case 's':
	  Sequenza<String> ss = new Sequenza<String>();
	  String s;
	  while (!(s = in.readLine("inserire una stringa ")).equals("fine"))
	      ss.add(s);
	  seq = ss;
	  break;
      }

      //stampa sequenza

      for (Object o : seq)
	  out.println(o);

      //    for (Figura f : seq)
      //	  out.println(o);
      // NO: il compilatore controlla il tipo di f che deve essere ?, cioe'
      // un tipo qualunque; nel caso piu' generale questo potrebbe essere Object
      // che non puo' essere convertoti in Figura (senza cast)
  }
}